// Class
.row-inside {
  margin-left: 0;
  margin-right: 0;
}

// Text
@for $i from 1 through 10 {
  .u-text-#{$i}x {
    $times: ($app_base_font_size * $i);
    font-size: vh($times);

  }
  .u-text-minus-#{$i} {
    $minus: ($app_base_font_size - $i);
    font-size: vh($minus);
  }
  .u-text-plus-#{$i} {
    $plus: ($app_base_font_size + $i);
    font-size: vh($plus);
  }
}

.u-text-normal {
  font-family: font(proxima, thin);
}
.u-text-bold {
  font-family: font(proxima, regular);
}
.u-text-bolder {
  font-family: font(proxima, semibold);
}
.u-text-uc {
  text-transform: uppercase;
}
.u-text-lc {
  text-transform: lowercase;
}

// Colors
@each $key, $value in $colors {
  // Color
  .u-text-#{$key} {
    @each $key-2, $value-2 in $value {
      // Tone
      &-#{$key-2} {
        color: $value-2;
      }
    }
  }
}

// Margin
@for $i from 1 through 5 {
  .u-margin-t-#{$i}x {
    $px: ($i * 10px);
    margin-top: vh($px) !important;
  }
  .u-margin-b-#{$i}x {
    $px: ($i * 10px);
    margin-bottom: vh($px) !important;
  }
  .u-margin-l-#{$i}x {
    $px: ($i * 10px);
    margin-left: vw($px) !important;
  }
  .u-margin-r-#{$i}x {
    $px: ($i * -10px);
    margin-right: vw($px) !important;
  }
  .u-margin-t-min-#{$i}x {
    $px: ($i * -10px);
    margin-top: vh($px) !important;
  }
  .u-margin-b-min-#{$i}x {
    $px: ($i * -10px);
    margin-bottom: vh($px) !important;
  }
  .u-margin-l-min-#{$i}x {
    $px: ($i * -10px);
    margin-left: vw($px) !important;
  }
  .u-margin-r-min-#{$i}x {
    $px: ($i * -10px);
    margin-right: vw($px) !important;
  }
}

// Padding
@for $i from 1 through 5 {
  .u-pad-t-#{$i}x {
    $px: ($i * 10px);
    padding-top: vh($px) !important;
  }
  .u-pad-b-#{$i}x {
    $px: ($i * 10px);
    padding-bottom: vh($px) !important;;
  }
  .u-pad-l-#{$i}x {
    $px: ($i * 10px);
    padding-left: vw($px) !important;;
  }
  .u-pad-r-#{$i}x {
    $px: ($i * -10px);
    padding-right: vw($px) !important;;
  }
  .u-pad-t-min-#{$i}x {
    $px: ($i * -10px);
    padding-top: vh($px) !important;;
  }
  .u-pad-b-min-#{$i}x {
    $px: ($i * -10px);
    padding-bottom: vh($px) !important;;
  }
  .u-pad-l-min-#{$i}x {
    $px: ($i * -10px);
    padding-left: vw($px) !important;;
  }
  .u-pad-r-min-#{$i}x {
    $px: ($i * -10px);
    padding-right: vw($px) !important;;
  }
}

// Break
.u-hr {
  display: block;
  width: 100%;
  height: vw(2px);
  border-bottom: vw(2px) solid rgba(254,254,254,1);
}

.u-hr-50 {
  @extend .u-hr;
  width: 50%;
}

.u-hr-75 {
  @extend .u-hr;
  width: 75%;
}

// Background
.u-bg {
  background-repeat: no-repeat;
  background: -moz-radial-gradient(center, ellipse cover, rgba(81,81,116,1) 0%, rgba(40,40,40,1) 100%); /* ff3.6+ */
  background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(0%, rgba(81,81,116,1)), color-stop(100%, rgba(40,40,40,1))); /* safari4+,chrome */
  background:-webkit-radial-gradient(center, ellipse cover, rgba(81,81,116,1) 0%, rgba(40,40,40,1) 100%); /* safari5.1+,chrome10+ */
  background: -o-radial-gradient(center, ellipse cover, rgba(81,81,116,1) 0%, rgba(40,40,40,1) 100%); /* opera 11.10+ */
  background: -ms-radial-gradient(center, ellipse cover, rgba(81,81,116,1) 0%, rgba(40,40,40,1) 100%); /* ie10+ */
  background:radial-gradient(ellipse at center, rgba(81,81,116,1) 0%, rgba(40,40,40,1) 100%); /* w3c */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#515174', endColorstr='#282828',GradientType=1 ); /* ie6-9 */
}
